/*
    BEEM is a videoconference application on the Android Platform.

    Copyright (C) 2009 by Frederic-Charles Barthelery,
                          Jean-Manuel Da Silva,
                          Nikita Kozlov,
                          Philippe Lago,
                          Jean Baptiste Vergely,
                          Vincent Veronis.

    This file is part of BEEM.

    BEEM is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BEEM is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with BEEM.  If not, see <http://www.gnu.org/licenses/>.

    Please send bug reports with examples or suggestions to
    contact@beem-project.com or http://dev.beem-project.com/

    Epitech, hereby disclaims all copyright interest in the program "Beem"
    written by Frederic-Charles Barthelery,
               Jean-Manuel Da Silva,
               Nikita Kozlov,
               Philippe Lago,
               Jean Baptiste Vergely,
               Vincent Veronis.

    Nicolas Sadirac, November 26, 2009
    President of Epitech.

    Flavien Astraud, November 26, 2009
    Head of the EIP Laboratory.

*/
package org.jivesoftware.smackx.avatar.vcardavatar.provider;

import org.jivesoftware.smack.SmackException;
import org.jivesoftware.smack.packet.Element;
import org.jivesoftware.smack.provider.ExtensionElementProvider;
import org.jivesoftware.smackx.avatar.vcardavatar.packet.VCardTempXUpdateExtension;
import org.xmlpull.v1.*;

import java.io.IOException;

/**
 * An ExtensionElementProvider to parse the VcardTempXUpdate photo data.
 * XML namespace "vcard-temp:x:update"
 */
public class VCardTempXUpdateProvider extends ExtensionElementProvider
{
	@Override
	public Element parse(XmlPullParser parser, int initialDepth)
			throws XmlPullParserException, IOException, SmackException
	{
		boolean done = false;
		while (!done) {
			int eventType = parser.getEventType();
			if (eventType == XmlPullParser.START_TAG) {
				if (VCardTempXUpdateExtension.ELEMENT_PHOTO.equals(parser.getName())) {
					String data = parser.nextText();
					VCardTempXUpdateExtension avatar = new VCardTempXUpdateExtension(data);
					return avatar;
				}
			}
			parser.next();
		}
		return null;
	}
}
